Enabling bitcode for mopub adapter to be used in admob mediation


#1

I am trying to have AdMob Mediation with mopub. But am including libAdapterSDKMoPub.a into my xcode project as a adapter to show mopub ads in admob mediation. It shows that
ld: ‘/Users/kunalverma/Documents/XcodeProjects/ProjectName/libAdapterSDKMoPub.a(GADMAdapterMoPub.o)’ does not contain bitcode. You must rebuild it with bitcode enabled (Xcode setting ENABLE_BITCODE), obtain an updated library from the vendor, or disable bitcode for this target. for architecture arm64
clang: error: linker command failed with exit code 1 (use -v to see invocation)

I try with bitcode turned off but then i get the error below.
ERROR ITMS-90635: “Invalid Mach-O Format. The Mach-O in bundle “Gun Prank.app/Frameworks/mopub_ios_sdk.framework” isn’t consistent with the Mach-O in the main bundle. The main bundle Mach-O contains armv7(machine code) and arm64(machine code), while the nested bundle Mach-O contains armv7(bitcode and machine code) and arm64(bitcode and machine code). Verify that all of the targets for a platform have a consistent value for the ENABLE_BITCODE build setting.”

I want to know if there is a mopub adapter for admob with bitcode enabled? Else I will have to remove MoPub from mediation because without Adapter, the ads won’t show in Mediation.

Thanks
Kunal


#2

Hi @kunalzigma

Thanks for reaching out. If you don’t mind, can you please email us at support@mopub.com so that we can take a further look into this? Please also include the relevant SDK versions.

We’re looking forward to helping you out! Thank you.


#3

Hi,

I just have the same problem. My project has bitcode enabled and with your outdated adapter from 2014, xcode complain about no bitcode support. For the moment i just have remove Mopub from the project to keep bitcode enabled.

Just go on admob doc and try to download the Mopub ios mediation adapter to find the file you need to update.

Best regards